#include <mln/debug/println.hh>
#include <mln/io/pgm/load.hh>
#include <mln/util/timer.hh>

#include "compute_tree.hh"

void usage(char* argv[]) {
    std::cerr << "usage: " << argv[0] << " input.pgm" << std::endl;
    std::abort();
}


int main(int argc, char* argv[]) {
    using namespace mln;
    using namespace mln::K2;

    if (argc != 2)
        usage(argv);

    image2d<value::int_u8> f;
    io::pgm::load(f, argv[1]);

    auto tbb_t = tbb::tick_count::now();

    auto result = K2::compute_tree(f);

    double tt = (tbb::tick_count::now() - tbb_t).seconds();
    std::cout << f.domain().nsites() << "," << tt << std::endl;
}
